Name:           gtranslator
Version:        1.9.6
Release:        1%{?dist}
Summary:        Gettext po file editor for GNOME

Group:          Development/Tools
License:        GPLv2+
URL:            http://gtranslator.sourceforge.net
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gtranslator/1.9/%{name}-%{version}.tar.bz2
# Bug reported: http://bugzilla.gnome.org/show_bug.cgi?id=584608
Patch0:         %{name}-1.9.6-fix-update-desktop-database.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  db4-devel
BuildRequires:  GConf2-devel, gtksourceview2-devel
BuildRequires:  apr-devel, apr-util-devel, neon-devel, subversion-devel
BuildRequires:  gtkspell-devel, libsoup-devel, gucharmap-devel, gnome-utils-devel
BuildRequires:  libgdl-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper, intltool
BuildRequires:  gnome-doc-utils
# For libuuid:
BuildRequires:  e2fsprogs-devel

Requires:       yelp
Requires:       which
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
gtranslator is an enhanced gettext po file editor for the GNOME
desktop environment. It handles all forms of gettext po files and
features many comfortable everyday usage features like find and
replace functions, auto translation, and translation learning,


%package devel
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release} glib2-devel gtk2-devel gettext-devel gtksourceview2-devel libxml2-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -z .fix-update


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

ln doc/UMTF/ChangeLog ChangeLog.UMTF


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ] ; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
scrollkeeper-update -q || :
update-desktop-database &> /dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q || :
update-desktop-database &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%doc doc/UMTF/README.UMTF ChangeLog.UMTF doc/UMTF/example.xml doc/UMTF/umtf.dtd
%{_sysconfdir}/gconf/schemas/gtranslator.schemas
%{_bindir}/gtranslator
%{_libdir}/gtranslator
%{_datadir}/gnome/help/gtranslator
%{_datadir}/gtk-doc/html/gtranslator
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/omf/gtranslator
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/gtranslator
%{_mandir}/man?/*


%files devel
%defattr(-,root,root,-)
%{_includedir}/gtranslator-2.0
%{_libdir}/pkgconfig/gtranslator.pc


%changelog
* Tue Sep 29 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.9.6-1
- Update to 1.9.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.9.5-2
- Update for new gdl and requiring libuuid directly

* Sat May 30 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.9.5-1
- Update to 1.9.5 with help of patch by Arkady Shane. New version required a bunch of changes:
- Dropped old patches
- Adjust Requires
- Added new scriplets

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.7-9
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.7-8
- Autorebuild for GCC 4.3

* Tue Oct 23 2007 Sindre Pedersen Bjordal <foolish@guezz.net> - 1.1.7-7
- Add patch to fix scrollkeeper configure issue
* Tue Oct 02 2007 Sindre Pedersen Bjordal <foolish@guezz.net> - 1.1.7-5
- Add missing dependency on which
* Mon Sep 24 2007 Jesse Keating <jkeating@redhat.com> - 1.1.7-4
- Bump release for upgrade path

* Fri Jun 08 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.1.7-3
- Add yelp dependency, closes #243401
* Tue Feb 13 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.1.7-2
- Rebuild 

* Mon Jan 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.1.7-1
- Take over ownership of package
- Update to 1.1.7

* Mon Feb 13 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.1.6-3
- Rebuild for Fedora Extras 5

* Mon Jan 16 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.1.6-2
- Add %{?dist} tag
- Rebuild

* Thu May 12 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 1.1.6-1
- Updated to 1.1.6
- Remove build patch as it's no longer needed

* Wed May 11 2005 Josh Boyer <jwboyer@jdub.homelinux.org>
- Added build fix

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Jun  2 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.1.5-0.fdr.1
- Updated to 1.1.5.

* Thu Apr 22 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.0.2-0.fdr.1
- Updated to 1.0.2.
- Added README.UMTF, ChangeLog.UMTF and example.xml as doc.
- Added BuildReq desktop-file-utils, gettext, postun req scrollkeeper.
- Brought in line with current spec template.

* Wed Dec 10 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0:1.0-0.fdr.1
- First Fedoraized release

* Thu Sep 04 2003 Dag Wieers <dag@wieers.com> - 1.0-1
- Updated to release 1.0.
